<html>
<head>

</head>

<body>

    <iframe src="unity-page.html"></iframe>

    <script>
    
        const unityGame = document.querySelector("iframe");

        // Wait for the iframe to load
        unityGame.addEventListener("load", function() {
            // unityGame.contentWindow.postMessage("test", "*");
        })

        // Handle messages received on port1
        window.addEventListener("message", function(event) {

            // Validate from unity game iframe
            if (event.source !== unityGame.contentWindow) {
                return true
            }

            if (event.data.type === 'on_loaded') {
                console.log('Unity game has successfully loaded');
            }

            if (event.data.type === 'bet') {

                // Simulate server call
                setTimeout(function() {

                    const response = {
                        'type': 'bet_result',
                        'win': 2000,
                        'path': [0,1,0,1,0,0]
                    }

                    postMessageToClient(response)

                }, 500);

            }
        });

        // Send message to unity game
        function postMessageToClient(message) {
            unityGame.contentWindow.postMessage(message, "*")
        }

    </script>

</body>


</html>